API reference
Get a delivery, its payload and ordered attempts
Source: OpenAPI (openapi/openapi.yaml).
curl -X GET "https://api.sendtier.example/webhook-deliveries/string" \ -H "Authorization: Bearer st_live_REPLACE_ME"{ "id": "string", "webhook_id": "string", "event_id": "string", "event_type": "email.queued", "status": "pending", "attempts": 0, "next_attempt_at": "2019-08-24T14:15:22Z", "last_status": 0, "last_error": "string", "created_at": "2019-08-24T14:15:22Z", "payload": {}, "attempts_history": [ { "attempt": 0, "started_at": "2019-08-24T14:15:22Z", "duration_ms": 0, "response_status": 0, "response_body": "string", "error": "string" } ]}GET
header
AuthorizationBearer <token>API key: st_live_... or st_test_...
delivery_id*stringDelivery detail with attempts in ascending attempt order.
application/json- response
id*stringwebhook_id*stringevent_id*stringevent_type*EventTypeValue in
"email.queued""email.sent""email.delayed""email.delivered""email.bounced""email.complained""email.opened""email.clicked""email.failed"status*WebhookDeliveryStatusValue in
"pending""succeeded""failed"attempts*integerFormat
int32next_attempt_at*stringFormat
date-timelast_status?integerFormat
int32last_error?stringcreated_at*stringFormat
date-timepayload*attempts_history*array<>